Loading...
Searching...
No Matches
etl::base64_rfc4648_padding_encoder< Buffer_Size > Class Template Reference

Base64 RFC-4648-Padding Encoder. More...

`#include <base64_encoder.h>`

## Public Member Functions

| ETL_STATIC_ASSERT ((Buffer_Size >=etl::base64::Min_Encode_Buffer_Size), "Buffer size must be greater than etl::base64::Min_Encode_Buffer_Size")
| ETL_STATIC_ASSERT (((Buffer_Size % etl::base64::Min_Encode_Buffer_Size)==0), "Buffer size must be a multiple of etl::base64::Min_Encode_Buffer_Size")
ETL_CONSTEXPR14 | base64_rfc4648_padding_encoder ()
| Base64 RFC-4648-Padding constructor.
ETL_CONSTEXPR14 | base64_rfc4648_padding_encoder (callback_type callback_)
| Base64 RFC-4648-Padding constructor.
Public Member Functions inherited from etl::ibase64_encoder
template<typename T>
ETL_CONSTEXPR14 bool | encode (T value)
| Encode to Base64.
template<typename TInputIterator>
ETL_CONSTEXPR14 bool | encode (TInputIterator input_begin, size_t input_length)
| Encode to Base64.
template<typename TInputIterator>
ETL_CONSTEXPR14 bool | encode (TInputIterator input_begin, TInputIterator input_end)
| Encode to Base64.
template<typename TInputIterator>
ETL_CONSTEXPR14 bool | encode_final (TInputIterator input_begin, size_t input_length)
| Encode to Base64.
template<typename TInputIterator>
ETL_CONSTEXPR14 bool | encode_final (TInputIterator input_begin, TInputIterator input_end)
| Encode to Base64.
ETL_CONSTEXPR14 bool | flush ()
| Flush any remaining data to the output.
ETL_CONSTEXPR14 void | restart ()
| Reset the encoder.
ETL_NODISCARD ETL_CONSTEXPR14 const char * | begin () const
| Returns the beginning of the output buffer.
ETL_NODISCARD ETL_CONSTEXPR14 const char * | end () const
ETL_NODISCARD ETL_CONSTEXPR14 const char * | cbegin () const
| Returns the beginning of the output buffer.
ETL_NODISCARD ETL_CONSTEXPR14 const char * | cend () const
ETL_NODISCARD ETL_CONSTEXPR14 size_t | size () const
ETL_NODISCARD ETL_CONSTEXPR14 size_t | max_size () const
| Returns the maximum size of the output buffer.
ETL_NODISCARD ETL_CONSTEXPR14 span_type | span () const
ETL_NODISCARD ETL_CONSTEXPR14 bool | overflow () const
| Returns true if the output buffer has overflowed.
ETL_NODISCARD ETL_CONSTEXPR14 bool | error () const
| Returns true if an error was detected.

## Static Public Member Functions

static ETL_NODISCARD ETL_CONSTEXPR14 size_t | safe_output_buffer_size (size_t input_length)
| Calculate the required output encode buffer size.

## Additional Inherited Members

Public Types inherited from etl::ibase64_encoder
typedef etl::span< const char > | span_type
typedef etl::delegate< void(const span_type &)> | callback_type
Public Types inherited from etl::base64
enum | { Invalid_Data = etl::integral_limits<int>::max , Min_Encode_Buffer_Size = 4 , Min_Decode_Buffer_Size = 3 }
Protected Member Functions inherited from etl::ibase64_encoder
ETL_CONSTEXPR14 | ibase64_encoder (const char *encoder_table_, bool use_padding_, char *p_output_buffer_, size_t ouput_buffer_max_size_, callback_type callback_)
| Constructor.
ETL_CONSTEXPR14 bool | encode_block ()
| Encode one block of data.
Protected Member Functions inherited from etl::base64
ETL_CONSTEXPR14 | base64 (const char *encoder_table_, bool use_padding_)
Static Protected Member Functions inherited from etl::ibase64_encoder
static ETL_NODISCARD ETL_CONSTEXPR14 size_t | encoded_size (size_t input_length, bool use_padding)
| Calculates the minimum buffer size required to encode to Base64.
Static Protected Member Functions inherited from etl::base64
static ETL_CONSTEXPR14 const char * | character_set_1 ()
static ETL_CONSTEXPR14 const char * | character_set_2 ()
static ETL_CONSTEXPR14 const char * | character_set_3 ()
Protected Attributes inherited from etl::base64
const char * | encoder_table
const bool | use_padding

## Detailed Description

template<size_t Buffer_Size = etl::base64::Min_Encode_Buffer_Size>
class etl::base64_rfc4648_padding_encoder< Buffer_Size >

Base64 RFC-4648-Padding Encoder.

The documentation for this class was generated from the following file:

- include/etl/base64_encoder.h